Skip to:
Content
Pages
Categories
Search
Top
Bottom

Fatal error installing BuddyPress 1.5

  • Howdy – I am trying to install BP 1.5 on a test site. I get this fatal error:

    Plugin could not be activated because it triggered a fatal error.
    Fatal error: Cannot redeclare bp_core_is_multisite() (previously declared in /path/wp-content/plugins/buddypress/bp-core/bp-core-wpabstraction.php:18) in /path/wp-content/plugins/buddypress/bp-core/bp-core-wpabstraction.php on line 25

    The test site is an exact mirror to my live site, running bp 1.2.10, and is not a multisite. My theme is Custom Community Pro, which is compatible with BP 1.5.

    Steps:
    1) I upload tags_1.5-beta-3-5058.zip
    2) I unzip and move the folder /1.5-beta-3/ to /wp-content/plugins/ . BuddyPress 1.5 now shows in admin/non-active-plugins
    3) In WP admin/non-active-plugins, I activate the plugin
    >> I get the fatal error message

    I am on a shared hosting.

    Thanks for your help!

Viewing 4 replies - 1 through 4 (of 4 total)
  • > 2) I unzip and move the folder /1.5-beta-3/ to /wp-content/plugins/

    BuddyPress must be wp-content/plugins/buddypress. Rename the folder (the error’s because WordPress is trying to load two copies of BuddyPress!).

    Aha … thanks Paul. What do I do with the current /buddypress/ ? Rename or delete (and deactivate) prior to adding the new 1.5 version of /buddypress/? Also, should I deactivate all other BP plugins (that’s what is recommended for normal BP upgrades).
    Thanks!

    Here is how I upgraded to BuddyPress 1.5 beta 3 from BuddyPress 1.2.10
    1) I deactivate all BP plugins (BP remains active)
    2) I move old /buddypress/ (version 1.2.10) out of the folder /plugins/
    3) I move the folder /1.5-beta-3/ into /plugins/ and rename it to /buddypress/
    (the folder /1.5-beta-3/ results from unzipping the downloaded BP 1.5 beta file tags_1.5-beta-3-5058.zip)
    4) in admin/plugins I refresh the page
    On top of the plugin admin page I see a message that BuddyPress has been upgraded with an instruction to start upgrade wizard.
    5) I run the wizard
    6) I re-activate all BP plugins

    Now, testing :)

    Looks right!

Viewing 4 replies - 1 through 4 (of 4 total)

You must be logged in to reply to this topic.